distro-info (0.22ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Provide support for the milestone eol-esm and add filters for
      supported-esm to ubuntu-distro-info along with the python and perl
      modules.
    - Override uninteresting flake8 warnings about imports and doc strings.
    - Don't run tests over the distro_info_test directory, which is
      pointless and recursive.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Oct 2019 15:52:02 -0700

distro-info (0.22) unstable; urgency=medium

  * Drop testing Python 2 code with Pylint
  * Rename build dependency pylint3 to pylint (Closes: #940178)
  * Switch to debhelper 12
  * Bump Standards-Version to 4.4.0 (no changes needed)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 14 Sep 2019 15:44:13 +0200

distro-info (0.21ubuntu4) eoan; urgency=medium

  * Also adjust build-dependencies for the pylint3/pylint rename.
  * Override uninteresting flake8 warnings about imports and doc strings.
  * Don't run tests over the distro_info_test directory, which is pointless
    and recursive.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Sep 2019 09:51:58 -0700

distro-info (0.21ubuntu3) eoan; urgency=medium

  * Drop the python2 autopkgtest; there are still python2 reverse-depends
    so the python2 package can't go away yet but the test deps should go
    away not.  Better to drop the python2 tests than to override failing
    tests.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Sep 2019 09:40:34 -0700

distro-info (0.21ubuntu2) disco; urgency=medium

  * Only include LTS releases when filtering by supported-esm.

 -- Brian Murray <brian@ubuntu.com>  Mon, 04 Mar 2019 08:51:32 -0800

distro-info (0.21ubuntu1) disco; urgency=medium

  * Provide support for the milestone eol-esm and add filters for
    supported-esm to ubuntu-distro-info along with the python and perl
    modules. (LP: #1808038)

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Feb 2019 12:49:49 -0800

distro-info (0.21) unstable; urgency=medium

  [ Benjamin Drung ]
  * Fix spelling mistake of exactly.
    Thanks to Brian Murray <brian@ubuntu.com> (Closes: #921581)
  * Bump Standards-Version to 4.3.0 (no changes needed)

  [ Balint Reczey ]
  * Support getting release version by codename in the Perl and Python API
    (Closes: #896640)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 10 Feb 2019 00:29:24 +0100

distro-info (0.20) unstable; urgency=medium

  * Fix build failure with LC_ALL=POSIX by explicitly opening
    debian/changelog as UTF-8 in setup.py.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 12 Oct 2018 12:00:35 +0200

distro-info (0.19) unstable; urgency=medium

  [ Stefano Rivera ]
  * Migrate VCS to salsa.debian.org.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Iain Lane ]
  * Fix pylint issues (Closes: #909987):
    + Allow useless-object-inheritance so we can stay PY2/3 bilingual.
      - This is correctly an unknown option when linting python 2, so we need
        to whitelist unknown overrides too.
    + Refactor a useless if/return/elif... chain into a sequence of `if`s
      instead.
    + Use chained comparison x <= y <= z instead of x <= y and y <= z.

  [ Benjamin Drung ]
  * Update pylint/flake8 unittests to latest version from
    https://github.com/bdrung/snippets
  * Support running tests against installed binaries and libraries
  * Add autopkgtest test suite
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.2.1
  * Do not install distro_info_test into Python libraries
  * Do not install test-*-distro-info scripts

 -- Benjamin Drung <bdrung@debian.org>  Fri, 12 Oct 2018 01:30:13 +0200

distro-info (0.18) unstable; urgency=medium

  * Update Python unittests to support pylint 1.8 (Closes: #889537)
  * Bump debhelper to version 11
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * Update copyright year and format spec URL to https

 -- Benjamin Drung <bdrung@debian.org>  Sun, 04 Feb 2018 20:42:26 +0100

distro-info (0.17) unstable; urgency=medium

  * python: Strip trailing summary from pylint output
    (to fix build failure on Ubuntu 17.10)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 21 Jul 2017 17:49:07 +0200

distro-info (0.16) unstable; urgency=medium

  * python: Introduce DistroRelease object and support returning it
    (steps to fix LP #1253208)
  * Add dh-python to build dependencies
  * Bump Standards-Version to 4.0.0 (no changes needed)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 20 Jul 2017 12:08:34 +0200

distro-info (0.15) unstable; urgency=medium

  [ Mike Miller ]
  * debian-distro-info: Support oldstable with --alias. (Closes: #784284)

  [ Benjamin Drung ]
  * Fix flake8 and pylint issues found in Python code
  * Run flake8 and pylint checks on Python code in test suite
  * Python: Add DistroInfo.get_all() method
  * Bump Standard-Version to 3.9.8 (no changes required)
  * Use https for Vcs-Git and Vcs-Browser URLs

 -- Benjamin Drung <bdrung@debian.org>  Fri, 28 Apr 2017 19:45:36 +0200

distro-info (0.14) unstable; urgency=medium

  * Fix days in month calculation for leap years (Closes: #766142)
  * Bump Standards-Version to 3.9.6

 -- Benjamin Drung <bdrung@debian.org>  Tue, 21 Oct 2014 10:09:57 +0200

distro-info (0.13) unstable; urgency=medium

  [ Benjamin Drung ]
  * ubuntu-distro-info: Add --latest option. Use this option instead of --devel
    if you want to fallback to --stable for outdated data. (LP: #1309591)
  * distro_info_test/test_help.py: Close file descriptors at the end.

  [ Dimitri John Ledkov ]
  * Add --series lookup.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 10 May 2014 20:55:33 +0200

distro-info (0.12) unstable; urgency=medium

  * Fix Ubuntu EOL test cases (The EOL date of raring is two days later).
    (Closes: #735801)
  * Bump Standards-Version to 3.9.5.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 18 Jan 2014 11:45:43 +0100

distro-info (0.11) unstable; urgency=low

  * Added ability to specify --days[=MILESTONE] option.
    Thanks to James Hunt for implementing it.
  * Use canonical URLs for Vcs fields.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to debhelper 9.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 02 Aug 2013 23:35:40 +0200

distro-info (0.10) unstable; urgency=low

  * Provide more useful errors (pointing to a README in distro-info-data) when
    the data is outdated.
  * Actually test with Python 3 (typo)
  * libdistro-info-perl: Print a warning and return 0 when data is out of
    date, rather than dying.
  * Use dpkg-buildflags and enable hardening.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 01 Jun 2012 18:36:12 +0200

distro-info (0.9) unstable; urgency=low

  * debian-distro-info: Add an --alias option. Thanks to Antonio Ospite
    for the work. (Closes: #645171)
  * Make Python code valid Python 2 and 3 code and add a Python 3 module.
  * Fix one memmory leak in main() function.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 13 Apr 2012 16:02:40 +0200

distro-info (0.8.2) unstable; urgency=low

  * Drop liblist-compare-perl from Build-Depends. Use our own list comparison
    functions in the test suite.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 05 Apr 2012 11:39:55 +0200

distro-info (0.8.1) unstable; urgency=low

  * Fix build failure due to wrong variable type.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 03 Apr 2012 13:02:26 +0200

distro-info (0.8) unstable; urgency=low

  * Run shell scripts with 'set -f' (LP: #965378).
  * Rewrite scripts in C. The binaries are 2.3 times bigger than the shell
    scripts, but they are between four and six times faster. Forking the process
    takes longer than executing it. The plain execution time is around 25 times
    faster than the shell scripts.
  * Extend command line test cases.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 03 Apr 2012 01:24:23 +0200

distro-info (0.7.1) unstable; urgency=low

  * Use shunit2 for testing the command line scripts instead of using an own
    custom test framework and install the test cases.
  * test-ubuntu-distro-info: Fix i386 build failure due to year 2038 problem.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 26 Mar 2012 01:43:16 +0200

distro-info (0.7) unstable; urgency=low

  * Rewrite scripts in Shell. The scripts are smaller than the Haskell binaries
    and the speed is about the same. This was done because Haskell is not in
    Ubuntu main. Thanks to Scott Moser for his work. (LP: #963062)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 24 Mar 2012 11:17:54 +0100

distro-info (0.6) unstable; urgency=low

  * Put data into separate source package to avoid a full source rebuild for
    just updating the data.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 23 Mar 2012 00:16:02 +0100

distro-info (0.5.1) unstable; urgency=low

  [ Stefano Rivera ]
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update machine-readable copyright Format to 1.0.

  [ Benjamin Drung ]
  * DebianDistroInfo.hs, UbuntuDistroInfo.hs: Replace System import by
    System.Environment and System.Exit import to fix build failure.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 25 Feb 2012 16:11:25 +0100

distro-info (0.5) unstable; urgency=low

  * Allow retrieving the release version and full name with the Python module.
    (Closes: #647951)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 23 Jan 2012 19:18:50 +0100

distro-info (0.4) unstable; urgency=low

  [ Stefano Rivera ]
  * Add is_lts method to UbuntuDistroInfo

  [ Benjamin Drung ]
  * Enable optimization for Haskell code.
  * Break old ubuntu-dev-tools package instead of recommending
    python-distro-info.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 25 Oct 2011 23:19:56 +0200

distro-info (0.3) unstable; urgency=low

  [ Stefano Rivera ]
  * Add basic Perl module, API-compatible with the Python one.
  * Add liblist-compare-perl as a Build-Dependency for the Perl test suite.

  [ Benjamin Drung ]
  * Improve speed by rewriting scripts in Haskell (LP: #796317).
  * Allow printing of release version and full name (LP: #807644).
  * Split scripts, Perl and Python libraries in separate binary packages.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 11 Oct 2011 23:55:18 +0200

distro-info (0.2.3) unstable; urgency=low

  * "old" is not a Debian suite alias, but "oldstable" is.
  * Add myself to Uploaders.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 07 Oct 2011 22:24:08 +0200

distro-info (0.2.2) unstable; urgency=low

  * Add 12.04 LTS "Precise Pangolin" to Ubuntu list.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 06 Oct 2011 01:07:36 +0200

distro-info (0.2.1) unstable; urgency=low

  * Correct release and EOL dates of old Ubuntu releases by reviewing
    ubuntu-announce emails.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 23 Jul 2011 15:55:23 +0200

distro-info (0.2) unstable; urgency=low

  * Make sure all DistroInfo classes have a .codename method.
  * Add experimental to list of Debian distributions.
  * Bump Breaks and Replaceses for ubuntu-dev-tools.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 25 Jun 2011 16:30:59 +0200

distro-info (0.1) unstable; urgency=low

  * Initial release (Closes: #559761)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 19 Jun 2011 00:08:57 +0200

